function [C, C_Nodes, R, R_Nodes] = connected_subgraph(G);
	In = []; Fr = [1]; Out = 2:size(G,1);
	while length(Fr) > 0
      % move all the nodes from Out to NewFr or NewOut
		NewFr = []; NewOut = [];
		for j = 1:length(Out)
			inserted = false;
      	for i = 1:length(Fr)
				if G(Fr(i),Out(j)) < Inf
					if !inserted  NewFr = [Out(j), NewFr];  end
					inserted = true;
            end
			end
			if !inserted NewOut = [Out(j),NewOut]; end
		end
		In = [In,Fr]; Fr = NewFr; Out = NewOut;
   end
	C_Nodes = In;
   C = subgraph_projection(G, C_Nodes);
   R_Nodes = [];
   for i = 1:size(G,1)
      if sum(i == C_Nodes) == 0
         R_Nodes = [R_Nodes, i];
      end
   end
   R = subgraph_projection(G, R_Nodes);
end
