function M = graph_load(filename)
   cfilename = ['graphs/', filename];
   fid = fopen(cfilename,"r");
   line = fgetl(fid);
   sp = findstr(" ", line);
   n = str2num(line(1:sp(1)-1));
   a = str2num(line(sp(1)+1:end));
   M = ones(n,n)*Inf;
   for k = 1:a
      line = fgetl(fid);
      sp = findstr(" ", line);
      i = str2num(line(1:sp(1)-1));
      j = str2num(line(sp(1)+1:sp(2)-1));
      w = str2num(line(sp(2)+1:end));
      M(i,j) = w;
      M(j,i) = w;
   endfor
   fclose(fid);
endfunction